#ifndef _ADPC_DESERIALIZE_H_
#define _ADPC_DESERIALIZE_H_

/*! \file adpc_deserialize.h
    \brief Lexer which can read the deserialized adpc array
 */

#include "../../tabulate.h"

int* adpc_readarray(char *filename, int offset);

/*! \brief Reads serialized array from file or stdin if supplied NULL. */
Nts adpc_deserialize(char *filename);

#endif
